%define real_name Apache2-SiteControl

Summary:	Perl web site authentication/authorization system
Name:		perl-%{real_name}
Version:	1.01
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/A/AW/AWKAY/Apache2/%{real_name}-%{version}.tar.bz2
BuildRequires:	apache-mod_perl
BuildRequires:	perl-Apache-AuthCookie >= 3.08
BuildRequires:	perl-Apache-Session >= 1.54
BuildRequires:	perl-Apache-Test >= 1.25
BuildRequires:	perl-Authen-Radius  >= 0.10
BuildRequires:	perl-Carp-Assert >= 0.18
BuildRequires:	perl-Crypt-CAST5 >= 0.04
BuildRequires:	perl-Crypt-CBC >= 2.14
BuildRequires:	perl(Data::Dumper) >= 2.101
BuildRequires:	perl-devel
BuildRequires:	perl-libapreq2 >= 2.05
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Apache2::SiteControl is a set of perl object-oriented classes that
implement a fine-grained security control system for a web-based application.
The intent is to provide a clear, easy-to-integrate system that does not
require the policies to be written into your application components. It
attempts to separate the concerns of how to show and manipulate data from the
concerns of who is allowed to view and manipulate data and why.

For example, say your web application is written in HTML::Mason. Your
individual "screens" are composed of Mason modules, and you would like to keep
those as clean as possible, but decisions have to be made about what to allow
as the component is processed. SiteControl attempts to make that as easy as
possible.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README* docs/apache sample
%dir %{perl_vendorlib}/Apache2/SiteControl
%{perl_vendorlib}/Apache2/SiteControl.pm
%{perl_vendorlib}/Apache2/SiteControl/*.pm
%{_mandir}/*/*

%changelog
* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- New release 1.01

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.00-1mdk
- initial Mandriva package 
